plot.phreg {eha} | R Documentation

## Plots output from a phreg regression

### Description

Plot(s) of the hazard, density, cumulative hazards, and/or the survivor function(s) for each stratum.

### Usage

    ## S3 method for class 'phreg'
    plot(x, fn = c("haz", "cum", "den", "sur"), main = NULL,
      xlim = NULL, ylim = NULL, xlab = "Duration", ylab = "", col, lty,
      printLegend = TRUE, new.data = NULL, ...)

### Arguments

`x` | A `phreg` object
`fn` | Which functions shoud be plotted! Default is all. They will scroll by, so you have to take care explicitely what you want to be produced. See, eg, `par(mfrow = ...)`
`main` | Header for the plot
`xlim` | x limits
`ylim` | y limits
`xlab` | x label
`ylab` | y label
`col` | Color(s) for the curves. Defaults to black.
`lty` | Line type for the curve(s). Defaults to 1:(No. of strata).
`printLegend` | Logical, or character ("topleft", "bottomleft", "topright" or "bottomright"); if `TRUE` or character, a legend is added to the plot if the number of strata is two or more.
`new.data` | Now deprecated; reference hazard is given by the fit; either zero or the means all covariates, and (always) the reference category for factors.
`...` | Extra parameters passed to 'plot' and 'lines'.

### Value

No return value.

### Author(s)

Göran Broström

### See Also

`phreg`

### Examples

    y <- rllogis(40, shape = 1, scale = 1)
    x <- rep(c(1,1,2,2), 10)
    fit <- phreg(Surv(y, rep(1, 40)) ~ x, dist = "loglogistic")
    plot(fit)

[Package eha version 2.6.0 Index]